Subject: Re: netif_rx packet dumping

From: Baruch Even <[email-masked]>
Date: Tue, 08 Mar 2005 18:01:01 +0000

Andi Kleen wrote:
> Baruch Even <[email-masked]> writes:
> 
>>I can squeeze the tcp_skb_cb to one pointer at the expense of extra
>>work to remove a packet from the list (the other pointer is the prev
>>pointer).
> 
> You could also use a xor list in theory. But I'm not sure it's worth it.
> Increasing cb by 4 bytes shouldn't be a very big issue.

If increasing the cb by 4 bytes is ok, it would make my life easier and 
the code simpler. But I don't think it would also be a big issue to 
remove the prev pointer.

Now, if we can agree on increasing the tcp_sock by 20 bytes I'll be able 
to continue my work.

Baruch